#include <iostream>
using namespace std;

int main()
{
    long long int a,b,novibroj=0;
    int i=0,j=0,cif,d=0,cif1;
    cin>>a>>b;
    long long int maks=(a>b) ? a:b;
    long long int min=(a<b) ? a:b;
    string c[20],cif2,broj="";
    while(min>0)
    {
        cif=min%10;
        cif1=maks%10;
        if(cif>cif1)
        {
            cif2=to_string(cif);
            c[d]=cif2;
            d++;
        }
        if(cif1>cif)
        {
            cif2=to_string(cif1);
            c[d]=cif2;
            d++;
        }
        if(cif1==cif)
        {
            cif2=to_string(cif);
            c[d]=cif2;
            d++;
            cif2=to_string(cif1);
            c[d]=cif2;
            d++;
        }
        min=min/10;
        maks=maks/10;
        
    }
    while(maks>0)
    {
        cif=maks%10;
        cif2=to_string(cif);
        c[d]=cif2;
        d++;
        maks=maks/10;
    }
    for(int i=d-1; i>=0; i--)
    {
        broj=broj+c[i];
    }
    cout<<broj;
    return 0;
}